oracle.pg.text.lucene

## Class LuceneIndexParameters

- java.lang.Object
- - oracle.pg.text.OracleIndexParameters
  - - oracle.pg.text.lucene.LuceneIndexParameters

-     public class LuceneIndexParameters
      extends OracleIndexParameters

  This class manages relevant parameters for text indexing. Such parameters include the type of Lucene Directory used, location, and degree of parallelism (DOP).

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ANALYZER_PARAMETER`
    `static String` | `DATATYPES_PARAMETER`
    `static String` | `LOCATION_PARAMETER`
    `static String` | `LUCENE_DIRECTORY_TYPE_PARAMETER`
    `static int` | `MAX_NUM_SUBDIRS`
    `static String` | `NUM_SUBDIRS_PARAMETER`
    `static String` | `POOL_PARAMETER`
    `static String` | `VERSION_PARAMETER`

    - ### Fields inherited from class oracle.pg.text.OracleIndexParameters

      `BATCH_SIZE_PARAMETER, COMMIT_BATCH_SIZE_PARAMETER, LUCENE_ENGINE, MAX_BATCH, MAX_COMMIT, MAX_COMMIT_BATCH, MAX_CONNS, MAX_WAIT_TIMEOUT, REINDEX_NUM_CONNS_PARAMETER, SEARCH_ENGINE_PARAMETER, SOLR_ENGINE, WRITE_TIMEOUT_PARAMETER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LuceneIndexParameters()` Creates a new OracleIndexParameters object.
    `LuceneIndexParameters(List<Parameter> parameters)` Creates a new OracleIndexParams object from an initial set of parameters.
    `LuceneIndexParameters(Parameter[] parameters)` Creates a new OracleIndexParams object from an initial set of parameters.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LuceneIndexParameters` | `createInstance(int numSubDirs, int reindexNumConns, int batchSize, int commitBatchSize, boolean differentiateDatatypes, String dirname)` Creates a new OracleIndexParams object from the set of parameters.
    `static LuceneIndexParameters` | `createInstance(int numSubDirs, int reindexNumConns, int batchSize, int commitBatchSize, boolean differentiateDatatypes, String[] dirnames)` Creates a new OracleIndexParams object from the set of parameters.
    `static List<Parameter>` | `defaultIndexParamsAsList()` Gets Oracle's default list of parameters defined for an index.
    `static OracleDirectory.DirectoryType` | `getDirectoryType(int directoryType)` Gets the DirectoryType object associated to the specified identifier.
    `static int` | `getDirectoryTypeAsInt(OracleDirectory.DirectoryType directoryType)` Gets the identifier associated to the specified DirectoryType.
    `static LuceneIndexParameters` | `getInstance(Parameter[] parameters)` Creates a new OracleIndexParameters object from an initial set of parameters.
    `static Object` | `getVersion(String szVersion)`
    `static String[]` | `parseLocation(String szLocation)`
    `static boolean` | `useDatatypes(int useDatatypes)`

    - ### Methods inherited from class oracle.pg.text.OracleIndexParameters

      `addParameter, buildFS, buildFS, buildSolr, defaultIndexParams, getParameters, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ANALYZER_PARAMETER

          public static final String ANALYZER_PARAMETER

      See Also:
        Constant Field Values

    - #### DATATYPES_PARAMETER

          public static final String DATATYPES_PARAMETER

      See Also:
        Constant Field Values

    - #### LOCATION_PARAMETER

          public static final String LOCATION_PARAMETER

      See Also:
        Constant Field Values

    - #### LUCENE_DIRECTORY_TYPE_PARAMETER

          public static final String LUCENE_DIRECTORY_TYPE_PARAMETER

      See Also:
        Constant Field Values

    - #### MAX_NUM_SUBDIRS

          public static final int MAX_NUM_SUBDIRS

      See Also:
        Constant Field Values

    - #### NUM_SUBDIRS_PARAMETER

          public static final String NUM_SUBDIRS_PARAMETER

      See Also:
        Constant Field Values

    - #### POOL_PARAMETER

          public static final String POOL_PARAMETER

      See Also:
        Constant Field Values

    - #### VERSION_PARAMETER

          public static final String VERSION_PARAMETER

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LuceneIndexParameters

          public LuceneIndexParameters()

      Creates a new OracleIndexParameters object.

    - #### LuceneIndexParameters

          public LuceneIndexParameters(List<Parameter> parameters)

      Creates a new OracleIndexParams object from an initial set of parameters.

    - #### LuceneIndexParameters

          public LuceneIndexParameters(Parameter[] parameters)

      Creates a new OracleIndexParams object from an initial set of parameters.

  - ### Method Detail

    - #### createInstance

          public static LuceneIndexParameters createInstance(int numSubDirs,
                                             int reindexNumConns,
                                             int batchSize,
                                             int commitBatchSize,
                                             boolean differentiateDatatypes,
                                             String dirname)

      Creates a new OracleIndexParams object from the set of parameters.
      Parameters:
        `numSubDirs` - the number of sub-directories to store the index
        `reindexNumConns` - the number of connections to use when dealing with re-indexing operations
        `batchSize` - the batch size to use when indexing data. This reduce the round trip operations over the Lucene index
        `commitBatchSize` - the commit batch size to use when indexing data. This reduce the number of commit operations over the Lucene index
        `differentiateDatatypes` - if true, data types will be used when indexing data into the Lucene index
        `dirname` - the directory name where the Lucene index is stored. All sub-directories will be stored under this file-path.

    - #### createInstance

          public static LuceneIndexParameters createInstance(int numSubDirs,
                                             int reindexNumConns,
                                             int batchSize,
                                             int commitBatchSize,
                                             boolean differentiateDatatypes,
                                             String[] dirnames)

      Creates a new OracleIndexParams object from the set of parameters.
      Parameters:
        `numSubDirs` - the number of sub-directories to store the index
        `reindexNumConns` - the number of connections to use when dealing with re-indexing operations
        `batchSize` - the batch size to use when indexing data. This reduce the round trip operations over the Lucene index
        `commitBatchSize` - the commit batch size to use when indexing data. This reduce the number of commit operations over the Lucene index
        `differentiateDatatypes` - if true, data types will be used when indexing data into the Lucene index
        `dirnames` - an array of directory names where the Lucene index will be stored. Sub-directories will be distributed among these file-paths.

    - #### defaultIndexParamsAsList

          public static List<Parameter> defaultIndexParamsAsList()

      Gets Oracle's default list of parameters defined for an index.
      Returns:
        a list of Parameter objects

    - #### getDirectoryType

          public static OracleDirectory.DirectoryType getDirectoryType(int directoryType)

      Gets the DirectoryType object associated to the specified identifier.
      Parameters:
        `directoryType` - the directory type identifier.
      Returns:
        a `OracleDirectory.DirectoryType` object.

    - #### getDirectoryTypeAsInt

          public static int getDirectoryTypeAsInt(OracleDirectory.DirectoryType directoryType)

      Gets the identifier associated to the specified DirectoryType.
      Parameters:
        `directoryType` - a `OracleDirectory.DirectoryType` object.
      Returns:
        the directory type identifier.

    - #### getInstance

          public static LuceneIndexParameters getInstance(Parameter[] parameters)

      Creates a new OracleIndexParameters object from an initial set of parameters.

    - #### getVersion

          public static Object getVersion(String szVersion)

    - #### parseLocation

          public static String[] parseLocation(String szLocation)

    - #### useDatatypes

          public static final boolean useDatatypes(int useDatatypes)

Copyright © 2015 Oracle and/or its affiliates. All Rights Reserved.